Package com.xebialabs.xlrelease.api.v1

# Interface PersonalAccessTokenApi

All Superinterfaces:
  `ApiService`

@Path("/api/v1/personal-access-tokens") @Consumes("application/json") @Produces("application/json") public interface PersonalAccessTokenApi extends ApiService
Operations related to personal access tokens. This is a public API restricted for release remote runners for now and thus why it is not documented.

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

  `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserToken`
  `createPersonalAccessToken(CreatePersonalAccessTokenForm createPersonalAccessTokenForm)`
  Creates a personal access token for authenticated user
  `UserToken`
  `createPersonalAccessToken(String username, CreatePersonalAccessTokenForm createPersonalAccessTokenForm)`
  Creates a personal access token for other internal user.
  `default String`
  `serviceName()`

- ## Method Details

  - ### serviceName

    default String serviceName()
    Specified by:
      `serviceName` in interface `ApiService`

  - ### createPersonalAccessToken

    @POST @Path("/{username}") UserToken createPersonalAccessToken(@PathParam("username") String username, CreatePersonalAccessTokenForm createPersonalAccessTokenForm)
    Creates a personal access token for other internal user. Supported only for Release administrators.
    Parameters:
      `createPersonalAccessTokenForm` - The personal access token properties
    Returns:
      the new personal access token created

  - ### createPersonalAccessToken

    @POST UserToken createPersonalAccessToken(CreatePersonalAccessTokenForm createPersonalAccessTokenForm)
    Creates a personal access token for authenticated user
    Parameters:
      `createPersonalAccessTokenForm` - The personal access token properties
    Returns:
      the new personal access token created